Bug 1327002 - Printer prints only half of the page, epson-escpr crashes
Summary: Printer prints only half of the page, epson-escpr crashes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: epson-inkjet-printer-escpr
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-14 03:25 UTC by Orcan Ogetbil
Modified: 2016-05-15 03:04 UTC (History)
2 users (show)

Fixed In Version: epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc23 epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc22 epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc24 epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.el7 epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-05 14:55:10 UTC


Attachments (Terms of Use)

Description Orcan Ogetbil 2016-04-14 03:25:07 UTC
Description of problem:
Printer prints the last page of any document only half way. The previous pages sent in the same queue print fine. If the document is single page, it prints only half of the page.

The following message is printed to the dmesg output:

   [42044.035567] epson-escpr[22001]: segfault at ffffffffec43f148 ip 000055aaeaf07716 sp 00007fff010183d0 error 5 in epson-escpr[55aaeaf02000+8000]


Version-Release number of selected component (if applicable):

The problematic version is
   epson-inkjet-printer-escpr-1.6.4-1.1lsb3.2.fc23.x86_64

After downgrading to (downloaded from koji)
   epson-inkjet-printer-escpr-1.5.2-1.1lsb3.2.fc23.x86_64
the problem does not happen.

How reproducible:
100%

Steps to Reproduce:
1.Print any document

Should I report this upstream?

Comment 1 Susi Lehtola 2016-04-14 04:15:53 UTC
Yes, please. This might also be related to bug #1326624.

Comment 2 Susi Lehtola 2016-04-14 04:16:29 UTC
i.e. bug #1326572

Comment 3 Orcan Ogetbil 2016-04-15 01:49:26 UTC
I couldn't find a link on their website. Do you know how to report bugs to Epson?

How do I debug this? I know how to use gdb for regular programs but I don't know how to do it with printer drivers. cups service log with LogLevel=debug2 is clean.

Comment 4 Susi Lehtola 2016-04-15 04:40:22 UTC
(In reply to Orcan Ogetbil from comment #3)
> I couldn't find a link on their website. Do you know how to report bugs to
> Epson?

I don't. I did find an AUTHORS file in the tarball with an email address linux-printer@epson.jp, to which I sent a message telling them about the problem and asking them to have a look at it.

> How do I debug this? I know how to use gdb for regular programs but I don't
> know how to do it with printer drivers. cups service log with
> LogLevel=debug2 is clean.

Me neither. The abrt bugs show the problem is in XFIFOClose at xfifo.c:188, so this has got to be a problem with broken code.

Comment 5 Fedora Update System 2016-04-25 03:25:37 UTC
epson-inkjet-printer-escpr-1.6.5-1.1lsb3.2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-62625f1a09

Comment 6 Fedora Update System 2016-04-25 03:26:02 UTC
epson-inkjet-printer-escpr-1.6.5-1.1lsb3.2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe33ed3f8d

Comment 7 Fedora Update System 2016-04-25 03:26:13 UTC
epson-inkjet-printer-escpr-1.6.5-1.1lsb3.2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b83caa4e1

Comment 8 Fedora Update System 2016-04-25 03:26:28 UTC
epson-inkjet-printer-escpr-1.6.5-1.1lsb3.2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0df37a8961

Comment 9 Fedora Update System 2016-04-25 03:26:38 UTC
epson-inkjet-printer-escpr-1.6.5-1.1lsb3.2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a4378f9e2

Comment 10 Fedora Update System 2016-04-25 04:11:08 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a38cf3d609

Comment 11 Fedora Update System 2016-04-25 04:11:21 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a6bb75397

Comment 12 Fedora Update System 2016-04-25 04:11:34 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c66c4cdeec

Comment 13 Fedora Update System 2016-04-25 04:11:45 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0240e3d1fa

Comment 14 Fedora Update System 2016-04-25 04:11:57 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9bcd890559

Comment 15 Fedora Update System 2016-04-25 17:51:08 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a6bb75397

Comment 16 Fedora Update System 2016-04-25 17:51:17 UTC
epson-inkjet-printer-escpr-1.6.5-1.1lsb3.2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe33ed3f8d

Comment 17 Fedora Update System 2016-04-26 00:19:43 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0240e3d1fa

Comment 18 Fedora Update System 2016-04-26 00:19:52 UTC
epson-inkjet-printer-escpr-1.6.5-1.1lsb3.2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-62625f1a09

Comment 19 Fedora Update System 2016-04-26 00:23:59 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c66c4cdeec

Comment 20 Fedora Update System 2016-04-26 00:24:06 UTC
epson-inkjet-printer-escpr-1.6.5-1.1lsb3.2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b83caa4e1

Comment 21 Fedora Update System 2016-04-26 00:52:50 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a38cf3d609

Comment 22 Fedora Update System 2016-04-26 00:52:58 UTC
epson-inkjet-printer-escpr-1.6.5-1.1lsb3.2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0df37a8961

Comment 23 Fedora Update System 2016-04-26 00:53:23 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9bcd890559

Comment 24 Fedora Update System 2016-04-26 00:53:30 UTC
epson-inkjet-printer-escpr-1.6.5-1.1lsb3.2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a4378f9e2

Comment 25 Fedora Update System 2016-04-26 17:42:12 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9bcd890559

Comment 26 Fedora Update System 2016-04-26 17:42:34 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0240e3d1fa

Comment 27 Fedora Update System 2016-04-26 17:42:48 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c66c4cdeec

Comment 28 Fedora Update System 2016-04-26 17:43:00 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a6bb75397

Comment 29 Fedora Update System 2016-04-26 17:43:14 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a38cf3d609

Comment 30 Fedora Update System 2016-04-27 17:51:26 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a6bb75397

Comment 31 Fedora Update System 2016-04-28 02:25:07 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0240e3d1fa

Comment 32 Fedora Update System 2016-04-28 02:29:44 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c66c4cdeec

Comment 33 Fedora Update System 2016-04-28 02:32:11 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a38cf3d609

Comment 34 Fedora Update System 2016-04-28 02:32:31 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9bcd890559

Comment 35 Fedora Update System 2016-05-05 14:55:01 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2016-05-05 20:51:29 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2016-05-07 11:55:43 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2016-05-15 02:42:19 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2016-05-15 03:04:46 UTC
epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.